[arch-commits] Commit in mplayer-plugin/trunk (3 files)

Jan de Groot jgc at archlinux.org
Sun Jun 22 12:57:34 UTC 2008


    Date: Sunday, June 22, 2008 @ 08:57:34
  Author: jgc
Revision: 3363

upgpkg: mplayer-plugin 3.50-4
    Build against seamonkey instead of xulrunner, fix backup file, install files using make install (FS#9595, FS#9929)

Added:
  mplayer-plugin/trunk/mplayerplug-in_xulrunner-1.9.patch
Modified:
  mplayer-plugin/trunk/PKGBUILD
Deleted:
  mplayer-plugin/trunk/mplayerplug-in.conf

------------------------------------+
 PKGBUILD                           |   39 ++++++----------
 mplayerplug-in.conf                |   81 -----------------------------------
 mplayerplug-in_xulrunner-1.9.patch |   17 +++++++
 3 files changed, 32 insertions(+), 105 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-06-22 12:51:01 UTC (rev 3362)
+++ PKGBUILD	2008-06-22 12:57:34 UTC (rev 3363)
@@ -2,36 +2,27 @@
 # Mantainer: Alexander Baldeck <alexander at archlinux.org>
 pkgname=mplayer-plugin
 pkgver=3.50
-pkgrel=3
+pkgrel=4
 pkgdesc="mplayerplug-in is a browser plugin that uses mplayer to play videos from websites."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://mplayerplug-in.sourceforge.net/"
-depends=('gcc' 'mozilla-common>=1.1-2' 'mplayer' 'libxi' 'libxt' 'libxpm')
-makedepends=('xulrunner>=1.8.1.11-1' 'pkgconfig')
-backup=(etc/mplayer-plugin.conf)
+depends=('gtk2>=2.12.10' 'mozilla-common>=1.1-2' 'mplayer' 'libxpm')
+makedepends=('seamonkey>=1.1.9' 'pkgconfig')
+backup=(etc/mplayerplug-in.conf)
 install=mplayer-plugin.install
-source=(http://dl.sourceforge.net/sourceforge/mplayerplug-in/mplayerplug-in-${pkgver}.tar.gz
-        mplayerplug-in.conf)
+source=(http://downloads.sourceforge.net/mplayerplug-in/mplayerplug-in-${pkgver}.tar.gz
+	mplayerplug-in_xulrunner-1.9.patch)
+md5sums=('7a9306c39f6550090c16b9c1d87e3168'
+         '83ec37f4009d862e259697e7fe395c7f')
 
 build() {
-  # temporarily use static paths during the transition to /usr
-  export MOZ_PLUGIN_PATH=/usr/lib/mozilla/plugins
-  
   cd ${startdir}/src/mplayerplug-in
-  sed -e 's/mozilla-plugin/xulrunner-plugin/g' \
-      -i configure configure.in
-  ./configure --prefix=/usr --with-faad --enable-gtk2 --enable-wmp \
-              --enable-qt --enable-rm --enable-gmp
-  make LDFLAGS="" || return 1
-  mkdir -p $startdir/pkg/${MOZ_PLUGIN_PATH}
-  
-  mkdir -p ${startdir}/pkg/usr/${MOZ_PLUGIN_PATH}
-  install -m755 mplayerplug-in*so ${startdir}/pkg/${MOZ_PLUGIN_PATH}
-  install -m755 mplayerplug-in*xpt ${startdir}/pkg/${MOZ_PLUGIN_PATH}
-
-  mkdir -p ${startdir}/pkg/etc
-  install -m644 ${startdir}/src/mplayerplug-in.conf ${startdir}/pkg/etc/mplayerplug-in.conf
+  patch -Np1 -i ${startdir}/src/mplayerplug-in_xulrunner-1.9.patch || return 1
+  autoconf || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+      --with-faad --enable-gtk2 --enable-wmp \
+      --enable-qt --enable-rm --enable-gmp || return 1
+  make || return 1
+  make DESTDIR=${startdir}/pkg install || return 1
 }
-md5sums=('7a9306c39f6550090c16b9c1d87e3168'
-         'a4b9d00153f3794feda4332662cc795e')

Deleted: mplayerplug-in.conf
===================================================================
--- mplayerplug-in.conf	2008-06-22 12:51:01 UTC (rev 3362)
+++ mplayerplug-in.conf	2008-06-22 12:57:34 UTC (rev 3363)
@@ -1,81 +0,0 @@
-# Option Name=[values] Description
-# Enable debugging if set to 1, very verbose debugging set to 2
-#debug=[0|1|2]
-
-# Note: value is in Kilobytes. Default value is 512
-#cachesize=[0 - 65535]
-
-# If used with the download option. This is the buffer size before the video plays.
-# Alias for cachesize option
-#cachemin=[0 - 65535]
-
-# Percent of file to load into cache. Default value of 25
-#cache-percent=[0-100]
-
-# For media larger than 16K it is played directly, useful for diskless terminals
-#nomediacache=[0|1]
-
-# Set QT Speeed, use low for dialup, medium for DSL, high for more
-#qt-speed=[low|medium|high]
-
-# Overrides mplayer default config values.
-#vo=[xv,x11....etc]
-
-# Overrides mplayer default config values
-#ao=[arts,esd,oss...etc]
-
-# Note forces mplayer to be in it's own window if set to 1
-#noembed=[0|1]
-
-# If set to 1, mplayer will be launched in its own window if the url is not in an EMBED tag
-#fileonly-embed=[0|1]
-
-# When set to 1 uses the aspect of movie no matter what
-#prefer-aspect=[0|1]
-
-# Pass special video post processing options to mplayer
-#vopopt=[mplayer vop options]
-
-# Tells mplayer to allow default video post processing or not
-#novop=[0|1]
-
-# Set the OSD mode
-#osdlevel=[0|1|2|3]
-
-# Option for rtsp streams, set to 1 when behind proxy
-#rtsp-use-tcp=[0|1]
-
-# Passes display to show output to, useful for multiple monitor setups
-#display=[display name]
-
-# Where to store the downloaded movies
-#dload-dir=[writable directory]
-# Example: $HOME/Movies
-
-# Set to 1 if you want to keep downloaded media
-#keep-download=[0|1]
-keep-downloaded=0
-
-# Read mime types to handle from [ $HOME/.mplayer | $HOME/.mozilla | /etc ]/mplayerplug-in.types *
-#use-mimetypes=[0|1]
-use-mimetypes=0
-
-# Enable Real Media Support *
-#enable-real=[0|1]
-enable-real=1
-
-# Enable Windows Media Support *
-#enable-wm=[0|1]
-enable-wm=1
-
-# Enable Quicktime Media Support *
-#enable-qt=[0|1]
-enable-qt=1
-
-# Enable MPEG Support *
-#enable-mpeg=[0|1]
-enable-mpeg=1
-
-# Enable Ogg Vorbis Media Support 
-#enable-ogg=[0|1]
-enable-ogg=1

Added: mplayerplug-in_xulrunner-1.9.patch
===================================================================
--- mplayerplug-in_xulrunner-1.9.patch	                        (rev 0)
+++ mplayerplug-in_xulrunner-1.9.patch	2008-06-22 12:57:34 UTC (rev 3363)
@@ -0,0 +1,17 @@
+diff -Naur mplayerplug-in.orig/configure.in mplayerplug-in/configure.in
+--- mplayerplug-in.orig/configure.in	2007-12-02 04:53:04.000000000 +0530
++++ mplayerplug-in/configure.in	2008-04-11 00:30:26.000000000 +0530
+@@ -54,9 +54,10 @@
+ 
+ ],[
+ 	AC_MSG_NOTICE([Determining mozilla/firefox packages to build against])
+-	PKG_CHECK_MODULES(MOZPLUG,[mozilla-plugin],[AC_SUBST(MOZPLUG_CFLAGS) MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS} -I`$PKG_CONFIG --variable=includedir mozilla-plugin`"
+-MOZILLA_HOME=`$PKG_CONFIG --variable=libdir mozilla-plugin`
+-],[AC_MSG_WARN([mozilla-plugin not found])])
++	# There's no www-client/mozilla anymore, and this interferes with =net-libs/xulrunner-1.9* now
++#	PKG_CHECK_MODULES(MOZPLUG,[mozilla-plugin],[AC_SUBST(MOZPLUG_CFLAGS) MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS} -I`$PKG_CONFIG --variable=includedir mozilla-plugin`"
++#MOZILLA_HOME=`$PKG_CONFIG --variable=libdir mozilla-plugin`
++#],[AC_MSG_WARN([mozilla-plugin not found])])
+ 
+ 	if test "$MOZPLUG_CFLAGS" = ""; then
+ 		PKG_CHECK_MODULES(MOZPLUG,[firefox-plugin firefox-xpcom],[AC_SUBST(MOZPLUG_CFLAGS) MOZPLUG_CFLAGS="${MOZPLUG_CFLAGS} -I`$PKG_CONFIG --variable=includedir firefox-plugin`"





More information about the arch-commits mailing list